package org.apache.bcel.classfile;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.classfile.Annotations;
import org.apache.bcel.classfile.Attribute;
import org.apache.bcel.classfile.ConstantPool;

public class RuntimeVisibleAnnotations extends Annotations {
  public RuntimeVisibleAnnotations(int nameIndex, int length, DataInput input, ConstantPool constantPool) throws IOException {
    super((byte)12, nameIndex, length, input, constantPool, true);
  }
  
  public Attribute copy(ConstantPool constantPool) {
    return (Attribute)clone();
  }
  
  public final void dump(DataOutputStream dos) throws IOException {
    super.dump(dos);
    writeAnnotations(dos);
  }
}
